Foreman - Bug #1916

Wrong sorting of VLANs and Networks in Subnets overview

10/24/2012 01:53 PM - Andreas Ntaflos

Status: Closed
Priority: Low
Assignee: Sam Kottler
Category: Web Interface

Target version: 1.18.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/5131
Description

When opening the Subnets overview page and klicking on the Network column or VLAN ID header to sort the table by Network or
VLAN ID the sorting seems to treat both VLAN IDs and networks as strings. This results in a wrong sort order, where, e.g.,
10.1.44.0/24 comes before 10.1.7.0/24 or VLAN 31 comes before VLAN 4. See attached screenshot. It would be nice to be able to

sort properly based on the respective integer values.

Related issues:

Related to Foreman - Bug #23376: Unable to seed develop with MariaDB 10.2: No...

Closed 04/24/2018

Associated revisions

Revision 55e2afa1 - 01/15/2018 01:37 PM - Tomer Brisker
Fixes #1916 - Subnet vian id should be integer

History

#1 - 11/13/2012 12:16 PM - Greg Sutcliffe

- Target version set to Bug scrub

#2 - 11/15/2012 12:41 PM - Sam Kottler
- Assignee changed from Ohad Levy to Sam Kottler

#3 - 10/16/2013 04:04 PM - Greg Sutcliffe

- Target version deleted (Bug scrub)

#4 - 12/31/2017 02:07 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5131 added

#5 - 01/15/2018 01:39 PM - Timo Goebel

- translation missing: en.field_release set to 330

#6 - 01/15/2018 02:02 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 55e2afa12d83180fbf9aa433d56112cb5e7a615b.

#7 - 04/24/2018 08:12 AM - Lukas Zapletal

- Related to Bug #23376: Unable to seed develop with MariaDB 10.2: No integer type has byte size 10. Use a decimal with scale 0 instead. added
